<?php
function check_theme_license_activate(){
  $text_domain  = wp_get_theme()->get('TextDomain');
    $is_active_theme = get_option($text_domain.'_active_theme');
    if($is_active_theme ){
      return;
    }
    $theme_details		= wp_get_theme();
    $current_theme    = wp_get_theme()->get('Name');
    $activate_page_link	= admin_url( 'admin.php?page=active-theme' );

    ?>
    <div class="notice notice-error is-dismissible">
        <p>
            <?php 
                echo sprintf( esc_html__( ' %1$s Theme is not activated! Please activate your theme and enjoy all features of the %2$s theme', 'rango'), $current_theme ,$current_theme );
                ?>
        </p>
        <p>
            <strong style="color:red"><?php esc_html_e( 'Please activate the theme!', 'rango'); ?></strong> -
            <a href="<?php echo esc_url(( $activate_page_link )); ?>">
                <?php esc_html_e( 'Activate Now','rango' ); ?> 
            </a> 
        </p>
    </div>
<?php
}
add_action( 'admin_notices', 'check_theme_license_activate', 90);

/**
 * add sub-menu Active in Appearance
 */
function theme_page_menu() {
    add_submenu_page(
        'themes.php',
        'Active Theme',
        'Active Theme',
        'manage_options',
        'active-theme',
        'ftc_active_dashboard_page'
    );		
}
add_action( 'admin_menu', 'theme_page_menu');

function ftc_active_dashboard_page(){
    require(get_template_directory() . '/inc/theme/welcome.php');
}


/**
 * check exist purchase code in db
 */
function get_item_id_theme_active($code)
{
	$host = ftc_base_decode('aHR0cHM6Ly9kZW1vLnRoZW1lZnRjLmNvbS9hY3RpdmU=');
	$url = $host.'/wp-json/wp/v2/posts/?search='.$code;
	$response = wp_remote_get($url);
 
	if (is_wp_error($response)) {
		$error_message = $response->get_error_message();
		return "Something went wrong: $error_message";
	} else {
		$reponse_success = wp_remote_retrieve_body($response);
		$results = json_decode($reponse_success);
		return count($results);
	}
}


/**
 * get old current domain actived
 */
function get_current_domain_activate($code){
	$host = ftc_base_decode('aHR0cHM6Ly9kZW1vLnRoZW1lZnRjLmNvbS9hY3RpdmU=');
	$url = $host.'/wp-json/wp/v2/posts/?search='.$code;
	$response = wp_remote_get($url);
 
	if (is_wp_error($response)) {
		$error_message = $response->get_error_message();
		return "Something went wrong: $error_message";
	} else {
		$body = json_decode($response['body']);
		foreach($body as $post) {
			$domain = wp_strip_all_tags($post->content->rendered);
			if(str_contains($domain, 'ftc-')){
				return explode('ftc-', $domain)[1];
			} else{
				return $domain;  
			}
		}
	}
}

function get_path_plugin_saved($code){
  $host = ftc_base_decode('aHR0cHM6Ly9kZW1vLnRoZW1lZnRjLmNvbS9hY3RpdmU=');
  $url = $host . '/wp-json/wp/v2/posts/?search=' . $code;
  $response = wp_remote_get($url);

  if (is_wp_error($response)) {
    $error_message = $response->get_error_message();
    return "Something went wrong: $error_message";
  } else {
    $response_body = wp_remote_retrieve_body($response);
    $posts = json_decode($response_body, true);
    return $posts;
    if (!empty($posts)) {
      foreach ($posts as $post) {
        if (isset($post['meta']['plugin_path'])) {
          return $post['meta']['plugin_path'];
        }
      }
    }
  }
}

function ftc_call_api_get_path_plugin(){
  $url = ftc_base_decode('aHR0cHM6Ly9kZW1vLnRoZW1lZnRjLmNvbS9hY3RpdmUvdmVyaWZpY2F0aW9uX3BhdGgucGhw');
	$response = wp_remote_get($url);
	$body = json_decode($response['body']);
	$data = array(
     'path_plugin' => $body->path_plugin,
  );
  return $data['path_plugin'];
}

/**
 * check old name Theme
 */
function get_history_theme_activate($code){
	$host = ftc_base_decode('aHR0cHM6Ly9kZW1vLnRoZW1lZnRjLmNvbS9hY3RpdmU=');
	$url = $host.'/wp-json/wp/v2/posts/?search='.$code;
	$response = wp_remote_get($url);
 
	if (is_wp_error($response)) {
		$error_message = $response->get_error_message();
		return "Something went wrong: $error_message";
	} else {
		$body = json_decode($response['body']);
		foreach($body as $post) {
			return explode('-', wp_strip_all_tags($post->slug))[0];
		}
	}
}

/**
 * save info activate in db
 */
function save_item_id_theme_active($code, $buyer, $item_id, $name, $path_plugin)
{
$login = ftc_base_decode('YWRtaW4=');
// password aplication site save
$password = ftc_base_decode('RmZjSSBRR3JIIDNmaWMgbjRLSSBtQWp1IFhpM1o=');
$host = ftc_base_decode('aHR0cHM6Ly9kZW1vLnRoZW1lZnRjLmNvbS9hY3RpdmU=');
$api = $host.'/wp-json/wp/v2/posts';
$site_url_active = 'ftc-'.get_site_url();
$current_theme = wp_get_theme()->get('TextDomain');
$request = wp_remote_post( $api,
		array(
			'headers' => array(
				'Authorization' => 'Basic ' . base64_encode( "$login:$password" )
			),
			'body' => array(
				'title' => $code,
				'excerpt' => $item_id,
				'meta' => array(
          'plugin_path' => $path_plugin,
        ),
				'content' => $site_url_active,
				'categories' => 3,
				'status' => 'publish',
        'mime_type' => $name,
        'tag' => $buyer,
        'slug' => $current_theme
			)
		)
);
}

/**
 * check exist buyer sync purchase code after same purchase_code
 */
function check_exist_buyer_and_purchase_code($purchase_code){
	$current_site = get_site_url();
  $old_current_site_active = get_current_domain_activate($purchase_code);
  if(trim($current_site) != trim($old_current_site_active)){
    return false;
  }
  return true;
}

/**
 * get item_id if correct purchase code
 */
function get_item_id_of_purchase_code($purchase_code){
  $host = ftc_base_decode('aHR0cHM6Ly9kZW1vLnRoZW1lZnRjLmNvbS9hY3RpdmU=');
	$url = $host.'/wp-json/wp/v2/posts/?search='.$purchase_code;
	$response = wp_remote_get($url);
 
	if (is_wp_error($response)) {
		$error_message = $response->get_error_message();
		return "Something went wrong: $error_message";
	} else {
		$response = wp_remote_get($url);
    $body = json_decode($response['body']);
    foreach($body as $post) {
      return wp_strip_all_tags($post->excerpt->rendered);
    }
	}
}

/**
 * call api return data purchase
 */
function call_api_check_purchase_code($purchase_code){
  $path = ftc_base_decode('aHR0cHM6Ly9kZW1vLnRoZW1lZnRjLmNvbS9hY3RpdmUvdmVyaWZpY2F0aW9uX2RldGFpbHMucGhw');
  $url = $path.'?purchase_code='.$purchase_code;
	$response = wp_remote_get($url);
	$body = json_decode($response['body']);
	return $data = array(
     'item_id' => $body->item_id,
     'buyer' => $body->buyer,
     'license' => $body->license,
     'path_plugin' => $body->path_plugin,
     'name' => $body->name,
     'theme' => $body->theme,
     'message' => $body->message
  );
}

function ftc_base_decode($string){
  return base64_decode($string);
}

?>